<template>
  <VContainer>
    <VSubheader>Dashboard</VSubheader>

    <TitleChevron title="Cursos em destaque" />
    <VContainer
      fluid
      grid-list-sm
    >
      <VLayout
        row
        wrap
      >
        <VFlex
          v-for="(c, i) in cursos"
          :key="`curso-${i}`"
          xs12
          sm6
          md3
        >
          <PostCurso v-bind="c" />
        </VFlex>
      </VLayout>
    </VContainer>

    <TitleChevron title="Cursos Recomendados" />
    <VContainer
      fluid
      grid-list-sm
    >
      <VLayout
        row
        wrap
      >
        <VFlex
          v-for="(c, i) in cursos"
          :key="`curso-h-${i}`"
          xs12
          sm6
        >
          <PostCurso
            v-bind="c"
            horizontal
          />
        </VFlex>
      </VLayout>
    </VContainer>

    <div class="mt-5 text-center">
      <VBtn color="warning">
        Ver o catálogo de cursos
      </VBtn>
    </div>
  </VContainer>
</template>

<script lang="ts">
import { Component, Vue } from 'nuxt-property-decorator';

@Component({
  components: {
    TitleChevron: () => import('@/components/core/title-chevron.vue'),
    PostCurso: () => import('@/components/core/post-curso.vue'),
  },
})
export default class Index extends Vue {
  cursos = [
    {
      title: 'Título',
      subTitle: 'sub título',
      src: 'https://cdn.vuetifyjs.com/images/cards/docks.jpg',
      stars: [1, 1, 1, 2, 0],
      tags: ['tag lista 1', 'tag lista 2'],
    },
    {
      title: 'Título',
      subTitle: 'sub título',
      src: 'https://cdn.vuetifyjs.com/images/cards/docks.jpg',
      stars: [1, 1, 1, 2, 0],
      tags: ['tag lista 1', 'tag lista 2'],
    },
    {
      title: 'Título',
      subTitle: 'sub título',
      src: 'https://cdn.vuetifyjs.com/images/cards/docks.jpg',
      stars: [1, 1, 1, 2, 0],
      tags: ['tag lista 1', 'tag lista 2'],
    },
    {
      title: 'Título',
      subTitle: 'sub título',
      src: 'https://cdn.vuetifyjs.com/images/cards/docks.jpg',
      stars: [1, 1, 1, 2, 0],
      tags: ['tag lista 1', 'tag lista 2'],
    },
  ]
}
</script>
